<template>
	<div class="container">
		<div class="row align-items-center">
			<div :class="leftColClass">
				<div class="intro__pre" v-if="content.pre">
					<span v-for="(item, i) in content.pre" :key="i" :class="`intro__pre__item intro__pre__item--${item.style}`">{{ item.text }}</span>
				</div>
				<h1 v-html="content.title" class="intro__title"></h1>
				<p class="intro__text" v-html="content.text"></p>

				<va-button v-if="content.button" v-bind="content.button" size="lg" />
			</div>
			<div :class="rightColClass" v-if="content.image">
				<img class="intro__right__image" :src="content.image.src" :alt="content.title" v-if="content.image">
			</div>
		</div>
	</div>
</template>

<script>
import Mixin from '../BuilderBlockMixin.vue'
import OrderStatusLocker from '../ui/OrderStatusLocker.vue';
export default {
  components: { OrderStatusLocker },
	mixins: [
		Mixin
	],
	computed: {
		leftColClass() {
			let classes = ['intro__left'];

			switch (this.content.columns) {
				case 8:
					classes.push('col-xl-8 col-lg-10');
					break;

				default:
					classes.push('col-xl-6 order-xl-1 order-2');
					break;
			}

			return classes;
		},

		rightColClass() {
			let classes = ['intro__right'];

			switch (this.content.columns) {
				case 8:
					classes.push('col-xl-4');
					break;

				default:
					classes.push('col-xl-6 order-xl-2 order-1');
					break;
			}

			return classes;
		}
	}
}
</script>

<style lang="scss">
@import "~/assets/scss/builder/intro";
</style>
